﻿using Microsoft.Office.Interop.Outlook;
using System.Collections.Generic;

namespace TestProject
{
    /// <summary>
    /// 폴더 컨테이너
    /// </summary>
    public class FolderContainer
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Property
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 부모 - Parent

        /// <summary>
        /// 부모
        /// </summary>
        public FolderContainer Parent { get; set; }

        #endregion
        #region 소스 키 - SourceKey

        /// <summary>
        /// 소스 키
        /// </summary>
        public string SourceKey { get; set; }

        #endregion
        #region 소스 폴더 - SourceFolder

        /// <summary>
        /// 소스 폴더
        /// </summary>
        public Folder SourceFolder { get; set; }

        #endregion
        #region 소스 폴더 컬렉션 - SourceFolders

        /// <summary>
        /// 소스 폴더 컬렉션
        /// </summary>
        public Folders SourceFolders { get; set; }

        #endregion
        #region 자식 리스트 - ChildList

        /// <summary>
        /// 자식 리스트
        /// </summary>
        public List<FolderContainer> ChildList { get; set; } = new List<FolderContainer>();

        #endregion
    }
}